ruby-excon_0.60.0-1_all.deb


Advertisement

Description

ruby-excon - Ruby library for creating fast, persistent, HTTP(S) connections

Property Value
Distribution Debian Sid
Repository Debian Main amd64
Package name ruby-excon
Package version 0.60.0
Package release 1
Package architecture all
Package type deb
Installed size 150 B
Download size 40.80 KB
Official Mirror ftp.br.debian.org
Description -

Alternatives

Package Version Architecture Repository
ruby-excon_0.60.0-1_all.deb 0.60.0 all Debian Main
ruby-excon - - -

Requires

Name Value
ruby -
ruby-interpreter -

Download

Type URL
Binary Package ruby-excon_0.60.0-1_all.deb
Source Package ruby-excon

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install ruby-excon deb package:
    # sudo apt-get install ruby-excon

Files

Path
/usr/lib/ruby/vendor_ruby/excon.rb
/usr/lib/ruby/vendor_ruby/excon/connection.rb
/usr/lib/ruby/vendor_ruby/excon/constants.rb
/usr/lib/ruby/vendor_ruby/excon/error.rb
/usr/lib/ruby/vendor_ruby/excon/headers.rb
/usr/lib/ruby/vendor_ruby/excon/pretty_printer.rb
/usr/lib/ruby/vendor_ruby/excon/response.rb
/usr/lib/ruby/vendor_ruby/excon/socket.rb
/usr/lib/ruby/vendor_ruby/excon/ssl_socket.rb
/usr/lib/ruby/vendor_ruby/excon/unix_socket.rb
/usr/lib/ruby/vendor_ruby/excon/utils.rb
/usr/lib/ruby/vendor_ruby/excon/version.rb
/usr/lib/ruby/vendor_ruby/excon/extensions/uri.rb
/usr/lib/ruby/vendor_ruby/excon/instrumentors/logging_instrumentor.rb
/usr/lib/ruby/vendor_ruby/excon/instrumentors/standard_instrumentor.rb
/usr/lib/ruby/vendor_ruby/excon/middlewares/base.rb
/usr/lib/ruby/vendor_ruby/excon/middlewares/capture_cookies.rb
/usr/lib/ruby/vendor_ruby/excon/middlewares/decompress.rb
/usr/lib/ruby/vendor_ruby/excon/middlewares/escape_path.rb
/usr/lib/ruby/vendor_ruby/excon/middlewares/expects.rb
/usr/lib/ruby/vendor_ruby/excon/middlewares/idempotent.rb
/usr/lib/ruby/vendor_ruby/excon/middlewares/instrumentor.rb
/usr/lib/ruby/vendor_ruby/excon/middlewares/mock.rb
/usr/lib/ruby/vendor_ruby/excon/middlewares/redirect_follower.rb
/usr/lib/ruby/vendor_ruby/excon/middlewares/response_parser.rb
/usr/lib/ruby/vendor_ruby/excon/test/server.rb
/usr/lib/ruby/vendor_ruby/excon/test/plugin/server/exec.rb
/usr/lib/ruby/vendor_ruby/excon/test/plugin/server/puma.rb
/usr/lib/ruby/vendor_ruby/excon/test/plugin/server/unicorn.rb
/usr/lib/ruby/vendor_ruby/excon/test/plugin/server/webrick.rb
/usr/share/doc/ruby-excon/README.md.gz
/usr/share/doc/ruby-excon/changelog.Debian.gz
/usr/share/doc/ruby-excon/changelog.gz
/usr/share/doc/ruby-excon/copyright
/usr/share/rubygems-integration/all/specifications/excon-0.60.0.gemspec

Changelog

2018-02-23 - Pirate Praveen <praveen@debian.org>
ruby-excon (0.60.0-1) unstable; urgency=medium
* New upstream version 0.60.0
* Bump standards version to 4.1.3 and debhelper compat to 11
2016-11-15 - Micah Anderson <micah@debian.org>
ruby-excon (0.54.0-1) unstable; urgency=medium
* Team upload
* New upstream release
2016-06-12 - Abhijith PA <abhijith@openmailbox.org>
ruby-excon (0.49.0-2) unstable; urgency=medium
* Team upload
* New Build-Depends: ruby-sinatra-contrib
* Remove patches/04_disable-test-Excon-redirecting-with-cookie-preser.patch 
2016-06-10 - Abhijith PA <abhijith@openmailbox.org>
ruby-excon (0.49.0-1) unstable; urgency=medium
[ Abhijith PA ]
* Team upload
* New upstream release
* Bump Standards-Version to 3.9.8
* Refresh patches
* debian/patches/04_disable-test-Excon-redirecting-with-cookie-preser.patch:
Disabling a test 
[ Laurent Bigonville ]                                              
* Remove myself from the uploaders
2015-04-28 - Pirate Praveen <praveen@debian.org>
ruby-excon (0.45.1-2) unstable; urgency=medium
* Re-upload to unstable 
2015-04-10 - Pirate Praveen <praveen@debian.org>
ruby-excon (0.45.1-1) experimental; urgency=medium
* New upstream release.
2014-11-22 - Pirate Praveen <praveen@debian.org>
ruby-excon (0.38.0-1) experimental; urgency=medium
* New upstream release.
* Add myself to uploaders.
* Bump standards version to 3.9.6 (no changes).
2014-06-27 - Pirate Praveen <praveen@debian.org>
ruby-excon (0.33.0-2) unstable; urgency=medium
* Team upload
* Skip local ports reuse tests (Closes: #751037)
2014-05-20 - Pirate Praveen <praveen@debian.org>
ruby-excon (0.33.0-1) unstable; urgency=low
* Team upload
* New upstream release
* Add unicorn as build dep (Closes: 746079)
2014-04-14 - Pirate Praveen <praveen@debian.org>
ruby-excon (0.32.1-1) unstable; urgency=low
* Team upload
* New upstream release
* Build dep on ruby-activesupport instead of ruby-activesupport-3.2

See Also

Package Description
ruby-execjs_2.6.0-1_all.deb Run JavaScript code from Ruby
ruby-exif_0.1.2-21+b9_amd64.deb Ruby library for EXIF tag parsing
ruby-expression-parser-doc_0.9.1-4_all.deb mathematical expression parser for Ruby (documentation)
ruby-expression-parser_0.9.1-4_all.deb mathematical expression parser for Ruby
ruby-extendmatrix_0.3.1-3_all.deb Enhancements to the Ruby Matrix module
ruby-extlib_0.9.16-1_all.deb general Ruby class extensions for DataMapper and Merb
ruby-eye_0.7-5_all.deb process monitoring tool
ruby-facade_1.0.7-1_all.deb facade pattern aide for Ruby
ruby-facebox-rails_0.2.0-2_all.deb use Facebox with Rails applications
ruby-facets-doc_2.9.3-2_all.deb extensive additions and extensions library for Ruby -- API documentation
ruby-facets_2.9.3-2_all.deb extensive additions and extensions library for Ruby
ruby-factory-bot_4.11.1-1_all.deb Framework and DSL for defining and using model instance factories
ruby-factory-girl-rails_4.7.0-1_all.deb provides integration between factory_girl and rails 3.2+
ruby-factory-girl_4.7.0-2_all.deb framework and DSL for defining and using model instance factories
ruby-fakefs_0.14.2-1_all.deb Fake file system to be used in unit tests
Advertisement
Advertisement